Skip to main content

Update OIDC Client

PUT 

/v3/config/extension/oidc/client/:clientId

Updates the configuration of an existing OpenID Connect client. Allows modification of the client's name, redirect URIs, or allowed origins.

Request

Path Parameters

    clientId stringrequired

    The ID of the client

Body

required

At least one of the following fields must be provided for updating the client: name, redirectURIs, or allowedOrigins.

    name string

    The name of the client

    redirectURIs string[]

    The redirect URIs of the client

    allowedOrigins string[]

    The allowed origins of the client

    callbackURI string

    The URI at which a sub value will be calculated and returned according to the sent presentation

    callbackSecret string

    The secret used to access the callbackURI

Responses

Client updated

Response Headers
  • Cache-Control string

    Indicates that the response should not be cached.

Schema
    client object
    presentationDefinitionId string

    The ID of the client's configured presentation definition

    name string

    The name of the client

    clientId string

    The ID of the client

    clientSecret string

    The secret of the client

    redirectURIs string[]

    The valid redirect URIs for the client

    allowedOrigins string[]

    The valid origins for the client

    callbackURI string

    The URI at which a sub value will be calculated and returned according to the sent presentation

    callbackSecret string

    The secret used to access the callbackURI

    kid string

    The ID of the client's key

Loading...